rem Copy *.wsdl from ArcGIS install\XmlSchema folder into another location.  Change the #NAME# and #URL# variables for all WSDLs to the proxy class name and default url, respectively.  Run this batch file from the same directory as the modified WSDLs.   

set CURRENTDIR=%~dp0

wsdl.exe /sharetypes /language:CS /namespace:ESRI.ArcGIS.SOAP /out:.\ESRI.ArcGIS.SOAP.cs /protocol:SOAP "file:\\%CURRENTDIR%ServiceCatalog.wsdl" "file:\\%CURRENTDIR%MapServer.wsdl" "file:\\%CURRENTDIR%GeocodeServer.wsdl" "file:\\%CURRENTDIR%GeometryServer.wsdl" "file:\\%CURRENTDIR%GeoDataServer.wsdl" "file:\\%CURRENTDIR%GPServer.wsdl" "file:\\%CURRENTDIR%ImageServer.wsdl" "file:\\%CURRENTDIR%NAServer.wsdl" "file:\\%CURRENTDIR%FeatureServer.wsdl"

csc /target:library /out:ESRI.ArcGIS.SOAP.dll ESRI.ArcGIS.SOAP.cs